SDL_Delay(3)

NAME
SDL_Delay - Wait a specified number of milliseconds before returning.

SYNOPSIS
#include <SDL3/SDL_timer.h>

void SDL_Delay(Uint32 ms);

DESCRIPTION
This function waits a specified number of milliseconds before returning. It waits at least the specified time, but possibly longer due to OS scheduling.

FUNCTION PARAMETERS

ms  the number of milliseconds to delay.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_DelayNS(3), SDL_DelayPrecise(3)